## org.apache.tools.ant.types
Class Parameter

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Parameter

public final class Parameter
extends java.lang.Object

A parameter is composed of a name, type and value.

Author:
  Magesh Umasankar

Constructor Summary
`Parameter()`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`
`void` `setName(java.lang.String name)`
`void` `setType(java.lang.String type)`
`void` `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### setName

    public final void setName(java.lang.String name)

### setType

    public final void setType(java.lang.String type)

### setValue

    public final void setValue(java.lang.String value)

### getName

    public final java.lang.String getName()

### getType

    public final java.lang.String getType()

### getValue

    public final java.lang.String getValue()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.